%global srcname gatspy 
%global sum General tools for Astronomical Time Series in Python

Name:           python-%{srcname}
Version:        0.3
Release:        9%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://www.astroml.org/gatspy/
Source0:        http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-astroML
BuildRequires:  python3-astroML
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python2-nose
BuildRequires:  python3-nose
BuildRequires:  python2-supersmoother
BuildRequires:  python3-supersmoother

%description
Gatspy contains efficient, well-documented implementations of several common
routines for Astronomical time series analysis, including the Lomb-Scargle
periodogram, the Supersmoother method, and others.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-astroML
Requires:       python2-supersmoother
Recommends:     python-astroML-addons

%description -n python2-%{srcname}
Gatspy contains efficient, well-documented implementations of several common
routines for Astronomical time series analysis, including the Lomb-Scargle
periodogram, the Supersmoother method, and others.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astroML
Requires:       python3-supersmoother
Recommends:     python3-astroML-addons

%description -n python3-%{srcname}
Gatspy contains efficient, well-documented implementations of several common
routines for Astronomical time series analysis, including the Lomb-Scargle
periodogram, the Supersmoother method, and others.

%prep
%setup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# Disabled for now as tests require online access
#nosetests-%{python2_version} %{srcname}
#nosetests-%{python3_version} %{srcname}

%files -n python2-%{srcname}
%license LICENSE
%doc CHANGES.md README.md
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGES.md README.md
%{python3_sitelib}/*

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3-9
- Rebuilt for Python 3.7

* Wed Feb 14 2018 Christian Dersch <lupinix@mailbox.org> - 0.3-8
- rebuilt

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Apr 21 2016 Christian Dersch <lupinix@mailbox.org> - 0.3-1
- new version (0.3)
- removed patch for tests applied upstream

* Wed Jan 20 2016 Christian Dersch <lupinix@mailbox.org> - 0.2.1-3
- Tests: applied upstream fix and enabled again

* Mon Jan 18 2016 Christian Dersch <lupinix@mailbox.org> - 0.2.1-2
- Disabled tests, they try to fetch data for test online, not allowed within
  Fedora to download additional stuff at build time.

* Sun Jan 03 2016 Christian Dersch <lupinix@mailbox.org> - 0.2.1-1
- Initial spec

